Subject: Bug#1342: [X2Go-Dev] Bug#1342: Bug#1342: Graphical apps stalling in suspended session

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 21 Nov 2018 01:13:15 +0100

On Tue, Nov 20, 2018 at 11:45 PM Orion Poplawski <[email-masked]> wrote:

> See https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1322 for my proposal for
> addressing this on the server side.  I believe by adding the line above you
> are messing up many of the default options.  According to the man page of nxagent:
>
>       -options filename
>                path to an options file containing nx/nx options (see below).

Yes, I know. I have worked on that option handling stuff in nxagent
several times. But x2go is not passing the options file via the
command line option. It is embedding the path into the DISPLAY
variable. My (quick) tests showed that it worked. I am still waiting
for the original poster to specify in detail what problems he had
after applying that configuration. Nevertheless I have not looked into
the code to check if there's anything that will prevent this from
working properly.

Regarding your proposal: While it is not the cleanest approach I think
we should include it to help users in special cases.. The sleep stuff
really should be handled by x2goclient. @Mihai Can you please include
the patch for the next release?

Uli